Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixAppend

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixAppend

    public class LibMatrixAppend
    extends Object

### Constructor Summary

Constructors
`LibMatrixAppend()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `append​(MatrixBlock a, MatrixBlock[] that, MatrixBlock result, boolean cbind)`
`static void` `checkDimensionsForAppend​(MatrixBlock[] in, boolean cbind, int rlen, int clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibMatrixAppend

    public LibMatrixAppend()

### Method Detail

#### append

    public static MatrixBlock append​(MatrixBlock a,
                                     MatrixBlock[] that,
                                     MatrixBlock result,
                                     boolean cbind)

#### checkDimensionsForAppend

    public static void checkDimensionsForAppend​(MatrixBlock[] in,
                                                boolean cbind,
                                                int rlen,
                                                int clen)